/**
 * 物料信息 api 封装
 *
 * @Author:    霍锦
 * @Date:      2024-11-25 17:08:18
 * @Copyright  友仓
 */
import {postRequest, getRequest} from '/@/lib/axios';

export const itemApi = {

    /**
     * 分页查询  @author  霍锦
     */
    queryPage: (param: object) => {
        return postRequest('/item/queryPage', param);
    },

    /**
     * 增加  @author  霍锦
     */
    add: (param: object) => {
        return postRequest('/item/add', param);
    },

    /**
     * 修改  @author  霍锦
     */
    update: (param: object) => {
        return postRequest('/item/update', param);
    },


    /**
     * 删除  @author  霍锦
     */
    delete: (id: number) => {
        return getRequest('tem/delete', {id});
    },

    /**
     * 批量删除  @author  霍锦
     */
    batchDelete: (idList: number[]) => {
        return postRequest('/item/batchDelete', idList);
    },

};
